<?php
$_title = 'Ninja School Online';
include_once '../system/head.php';
$_alert = null;
if ($_login == null) {
	header("location:/");
}
if (isset($_POST['password'])) {
	$old_pass = isset_sql($_POST['password']);
	$new_pass = isset_sql($_POST['new_password']);
	$re_pass = isset_sql($_POST['new_password_confirmation']);
	if ($old_pass != $_password) {
		echo "<script>
		Swal.fire({
			title: 'Thất bại',
			text: 'Mật khẩu hiện tại không đúng!',
			icon: 'error',
			showConfirmButton: true, // Hiển thị nút xác nhận
			confirmButtonText: 'OK' // Văn bản của nút xác nhận
			});
			</script>
		";
	} else {
		if ($new_pass != $re_pass) {
			echo "<script>
			Swal.fire({
				title: 'Thất bại',
				text: 'Mật khẩu mới không trùng nhau!',
				icon: 'error',
				showConfirmButton: true, // Hiển thị nút xác nhận
				confirmButtonText: 'OK' // Văn bản của nút xác nhận
				});
				</script>
			";
		} else {
			$query = _query(_update('player', "password='$new_pass'", "username='$_username'"));
			session_destroy();
			if ($query) {
				echo "<script>
				Swal.fire({
					title: 'Thành công',
					html: 'Đổi mật khẩu thành công!<br>Mật khẩu mới: [ $new_pass ]',
					icon: 'success',
					showCancelButton: false,
					showConfirmButton: true,
					confirmButtonText: 'OK'
				}).then((result) => {
					if (result.isConfirmed) {
						window.location.href = 'trang-chu'; // Chuyển hướng đến trang đăng nhập xong
					}
				});
			</script>			
				";
			} else {
				echo "<script>
				Swal.fire({
					title: 'Thất bại',
					text: 'Có lỗi gì đó xảy ra. Vui lòng liên hệ Admin!',
					icon: 'error',
					showConfirmButton: true, // Hiển thị nút xác nhận
					confirmButtonText: 'OK' // Văn bản của nút xác nhận
					});
					</script>
				";
			}
		}
	}
}
?>
<main class="flex-grow-1 flex-shrink-1">
	</br>
	<div class="container pb-5">
		<?php
		if ($_login != null) {
			if ($_status == "wait") {
				echo '<div class="alert alert-primary">Để có thể đăng nhập vào game, bạn cần phải <a href="/active">kích hoạt tài khoản</a> (Phí: 10,000 Coin = 10,000 VND).</div>';
			} elseif ($_status == "block") {
				echo '<div class="alert alert-primary">Tài khoản đang bị khóa, để mở lại bạn cần phải <a href="/active">mở khóa tài khoản</a> (Phí: 20,000 Coin = 20,000 VND).</div>';
			}
		}
		?>
		<div style="margin-top: 100px;"></div>
		<div class="card-3d-wrap mx-auto">
			<div class="card-3d-wrapper">
				<div class="card-front">
					<div class="center-wrap">
						<div class="section text-center">
							<h4 class="mb-4 pb-3" style="color: #a7d4ff;">ĐỔI MẬT KHẨU TÀI KHOẢN</h4>
							<form method="POST">
								<div class="form-group mt-2">
									<input type="text"  class="form-style" name="password" id="password"
										placeholder="Mật khẩu hiện tại" required="" autocomplete="off">
										<i class="iconify" data-icon="mdi:password-add-outline"></i>
								</div>

								<div class="form-group mt-2">
									<input type="text"  class="form-style" name="new_password" id="new_password"
										placeholder="Mật khẩu mới" required="" autocomplete="off">
										<i class="iconify" data-icon="mdi:password-add-outline"></i>
								</div>

								<div class="form-group mt-2">
									<input type="text"  class="form-style" name="new_password_confirmation"
										id="new_password_confirmation" placeholder="Xác nhận mật khẩu mới" required=""
										autocomplete="off">
										<i class="iconify" data-icon="mdi:password-add-outline"></i>
								</div>
								<div class="form-group mt-5">
									<button type="submit" class="btn btn-dangky-dangnhap btn-primary">
										<i style="margin-right: 10px;" class="fas fa-sign-in-alt"></i>THỰC HIỆN</button>
								</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div style="margin-top: 50px;"></div>
</main>
<?php
		include_once '../system/end.php';
		?>